/****************************************************************************
**
** Copyright (C) 1992-2004 Trolltech AS. All rights reserved.
**
** This file is part of the painting module of the Qt Toolkit.
**
** Licensees holding valid Qt Preview licenses may use this file in
** accordance with the Qt Preview License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef QPAINTDEVICEMETRICS_H
#define QPAINTDEVICEMETRICS_H

#include "qpaintdevice.h"


class Q_GUI_EXPORT QPaintDeviceMetrics                        // paint device metrics
{
public:
    QPaintDeviceMetrics(const QPaintDevice *);

    enum {
        PdmWidth = 1,
        PdmHeight,
        PdmWidthMM,
        PdmHeightMM,
        PdmNumColors,
        PdmDepth,
        PdmDpiX,
        PdmDpiY,
        PdmPhysicalDpiX,
        PdmPhysicalDpiY
    };

    int          width()        const        { return pdev->metric(PdmWidth); }
    int          height()        const        { return pdev->metric(PdmHeight); }
    int          widthMM()        const        { return pdev->metric(PdmWidthMM); }
    int          heightMM()        const        { return pdev->metric(PdmHeightMM); }
    int          logicalDpiX()        const        { return pdev->metric(PdmDpiX); }
    int          logicalDpiY()        const        { return pdev->metric(PdmDpiY); }
    int          physicalDpiX()const        { return pdev->metric(PdmPhysicalDpiX); }
    int          physicalDpiY()const        { return pdev->metric(PdmPhysicalDpiY); }
    int          numColors()        const        { return pdev->metric(PdmNumColors); }
    int          depth()        const        { return pdev->metric(PdmDepth); }

private:
    QPaintDevice *pdev;
};


#endif // QPAINTDEVICEMETRICS_H
